commit 306587d22401cafddaa729dd081e61d334e8a4ef
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Jan 4 01:18:18 2022

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 736fe9256ce..6bcaed3fc35 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220103
+20220104
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index fb88ddb7803..165a6cfea0b 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,13 @@
+2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2021-12-15  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/102229
+	* decl.c (check_decltype_auto): New.
+	(grokdeclarator): Call it.
+	* pt.c (do_auto_deduction): Don't check decltype(auto) here.
+
 2021-12-19  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f8205ffed4a..346cd09ba35 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-01-03  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2021-12-15  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/102229
+	* g++.dg/cpp1y/decltype-auto5.C: New test.
+
 2022-01-02  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

